package cn.cslg.pas.common.model.dto.report;

import com.deepoove.poi.data.PictureRenderData;

import java.util.List;

/**
 * @author Coding.lu
 * @version V1.0
 * @Package com.shouyue.patentreport.model
 * @date 2021/12/14 下午8:55
 */
public class PatentMO {
    private String applicant_names_current;//当前申请人名字拼接
    private List<PatentApplyMO> applicant_list_current;//当前申请人列表
    private String applicant_names_standard;//标准申请人名字拼接
    private List<PatentApplyMO> applicant_list_standard;//标准申请人列表
    private String applicant_names_merge;//合并申请人名字拼接
    private List<PatentApplyMO> applicant_list_merge;//合并申请人列表


    private String obligee_names_current;//当前申请人名字拼接
    private List<PatentApplyMO> obligee_list_current;//当前申请人列表
    private String obligee_names_standard;//标准申请人名字拼接
    private List<PatentApplyMO> obligee_list_standard;//标准申请人列表
    private String obligee_names_merge;//合并申请人名字拼接
    private List<PatentApplyMO> obligee_list_merge;//合并申请人列表

    //许可人
    private List<PermitMO> permit_list;
    //被许可人
    private List<PermitMO> licensed_list;

    //法律事务
    private List<PatentLawMO> lawArrys;
    private String inventor_names;//发明人名字拼接
    private List<InventorMO> inventor_list;//发明人里列表


    public List<PermitMO> getPermit_list() {
        return permit_list;
    }

    public void setPermit_list(List<PermitMO> permit_list) {
        this.permit_list = permit_list;
    }

    public List<PermitMO> getLicensed_list() {
        return licensed_list;
    }

    public void setLicensed_list(List<PermitMO> licensed_list) {
        this.licensed_list = licensed_list;
    }

    public String getInventor_names() {
        return inventor_names;
    }

    public void setInventor_names(String inventor_names) {
        this.inventor_names = inventor_names;
    }

    public List<InventorMO> getInventor_list() {
        return inventor_list;
    }

    public void setInventor_list(List<InventorMO> inventor_list) {
        this.inventor_list = inventor_list;
    }

    public String getObligee_names_current() {
        return obligee_names_current;
    }

    public void setObligee_names_current(String obligee_names_current) {
        this.obligee_names_current = obligee_names_current;
    }

    public List<PatentApplyMO> getObligee_list_current() {
        return obligee_list_current;
    }

    public void setObligee_list_current(List<PatentApplyMO> obligee_list_current) {
        this.obligee_list_current = obligee_list_current;
    }

    public String getObligee_names_standard() {
        return obligee_names_standard;
    }

    public void setObligee_names_standard(String obligee_names_standard) {
        this.obligee_names_standard = obligee_names_standard;
    }

    public List<PatentApplyMO> getObligee_list_standard() {
        return obligee_list_standard;
    }

    public void setObligee_list_standard(List<PatentApplyMO> obligee_list_standard) {
        this.obligee_list_standard = obligee_list_standard;
    }

    public String getObligee_names_merge() {
        return obligee_names_merge;
    }

    public void setObligee_names_merge(String obligee_names_merge) {
        this.obligee_names_merge = obligee_names_merge;
    }

    public List<PatentApplyMO> getObligee_list_merge() {
        return obligee_list_merge;
    }

    public void setObligee_list_merge(List<PatentApplyMO> obligee_list_merge) {
        this.obligee_list_merge = obligee_list_merge;
    }

    public String getApplicant_names_merge() {
        return applicant_names_merge;
    }

    public void setApplicant_names_merge(String applicant_names_merge) {
        this.applicant_names_merge = applicant_names_merge;
    }

    public List<PatentApplyMO> getApplicant_list_merge() {
        return applicant_list_merge;
    }

    public void setApplicant_list_merge(List<PatentApplyMO> applicant_list_merge) {
        this.applicant_list_merge = applicant_list_merge;
    }


    public String getApplicant_names_standard() {
        return applicant_names_standard;
    }

    public void setApplicant_names_standard(String applicant_names_standard) {
        this.applicant_names_standard = applicant_names_standard;
    }

    public List<PatentApplyMO> getApplicant_list_standard() {
        return applicant_list_standard;
    }

    public void setApplicant_list_standard(List<PatentApplyMO> applicant_list_standard) {
        this.applicant_list_standard = applicant_list_standard;
    }

    public String getApplicant_names_current() {
        return applicant_names_current;
    }

    public void setApplicant_names_current(String applicant_names_current) {
        this.applicant_names_current = applicant_names_current;
    }

    public List<PatentApplyMO> getApplicant_list_current() {
        return applicant_list_current;
    }

    public void setApplicant_list_current(List<PatentApplyMO> applicant_list_current) {
        this.applicant_list_current = applicant_list_current;
    }


    public List<PatentLawMO> getLawArrys() {
        return lawArrys;
    }

    public void setLawArrys(List<PatentLawMO> lawArrys) {
        this.lawArrys = lawArrys;
    }


    private String pname;//专利名称
    private String translate_name;//专利标题(译)
    private String patentno;//专利号
    private String abstracts; //摘要
    private String abstractout;//摘要 译
    private String applicationno;//申请号
    private String appdate;//申请日
    private String publicno;//公开号
    private String publicdate;
    private String fpublicdate;
    private String publictono;
    private String publictodate;
    private String bureau;
    private String intclassno;
    private String intclasscpcno;
    private String intclassupcno;
    private String intclasslocno;
    private String pstatus;
    private String ptype;
    private String code;
    private String manual;
    private String manualout;
    private String page;
    private String inventornum;
    private String num2;//权利要求数量
    private String num3;//独立权利要求数量
    private List<PatentContentMO> content;
    private List<PatentContentMO> contentout;
    private List<ContentMO2> selfcontent;
    private String priorityno;
    private String prioritycountry;
    private String prioritydate;
    private String simplefamilynum;
    private String inpadocfamilynum;
    private String quoteno;
    private String quotedno;
    private String quotedno3;
    private String quotedno5;
    private String agency;
    private String agent;
    private String wonational;
    private String examiner;
    private String assexaminer;
    private String quote;
    private String quoted;
    private String nonpatentquote;
    private PictureRenderData abstract_path;//摘要附图

    private String firstapplicant;
    private String firstapplicantaddr;
    private String firstapplicantnum;
    private String firstnventor;
    private String firstnventoraddr;
    private String epcountry;
    private String authorizationpdf;
    private String Publicpdf;

    private String sfamily;
    private String ifamily;

    public String getSfamily() {
        return sfamily;
    }

    public void setSfamily(String sfamily) {
        this.sfamily = sfamily;
    }

    public String getIfamily() {
        return ifamily;
    }

    public void setIfamily(String ifamily) {
        this.ifamily = ifamily;
    }

    public String getPname() {
        return pname;
    }

    public void setPname(String pname) {
        this.pname = pname;
    }

    public String getTranslate_name() {
        return translate_name;
    }

    public void setTranslate_name(String translate_name) {
        this.translate_name = translate_name;
    }

    public String getPatentno() {
        return patentno;
    }

    public void setPatentno(String patentno) {
        this.patentno = patentno;
    }

    public String getAbstracts() {
        return abstracts;
    }

    public void setAbstracts(String abstracts) {
        this.abstracts = abstracts;
    }

    public String getAbstractout() {
        return abstractout;
    }

    public void setAbstractout(String abstractout) {
        this.abstractout = abstractout;
    }

    public String getApplicationno() {
        return applicationno;
    }

    public void setApplicationno(String applicationno) {
        this.applicationno = applicationno;
    }

    public String getAppdate() {
        return appdate;
    }

    public void setAppdate(String appdate) {
        this.appdate = appdate;
    }

    public String getPublicno() {
        return publicno;
    }

    public void setPublicno(String publicno) {
        this.publicno = publicno;
    }

    public String getPublicdate() {
        return publicdate;
    }

    public void setPublicdate(String publicdate) {
        this.publicdate = publicdate;
    }

    public String getFpublicdate() {
        return fpublicdate;
    }

    public void setFpublicdate(String fpublicdate) {
        this.fpublicdate = fpublicdate;
    }

    public String getPublictono() {
        return publictono;
    }

    public void setPublictono(String publictono) {
        this.publictono = publictono;
    }

    public String getPublictodate() {
        return publictodate;
    }

    public void setPublictodate(String publictodate) {
        this.publictodate = publictodate;
    }

    public String getBureau() {
        return bureau;
    }

    public void setBureau(String bureau) {
        this.bureau = bureau;
    }

    public String getIntclassno() {
        return intclassno;
    }

    public void setIntclassno(String intclassno) {
        this.intclassno = intclassno;
    }

    public String getIntclasscpcno() {
        return intclasscpcno;
    }

    public void setIntclasscpcno(String intclasscpcno) {
        this.intclasscpcno = intclasscpcno;
    }

    public String getIntclassupcno() {
        return intclassupcno;
    }

    public void setIntclassupcno(String intclassupcno) {
        this.intclassupcno = intclassupcno;
    }

    public String getIntclasslocno() {
        return intclasslocno;
    }

    public void setIntclasslocno(String intclasslocno) {
        this.intclasslocno = intclasslocno;
    }

    public String getPstatus() {
        return pstatus;
    }

    public void setPstatus(String pstatus) {
        this.pstatus = pstatus;
    }

    public String getPtype() {
        return ptype;
    }

    public void setPtype(String ptype) {
        this.ptype = ptype;
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getManual() {
        return manual;
    }

    public void setManual(String manual) {
        this.manual = manual;
    }

    public String getManualout() {
        return manualout;
    }

    public void setManualout(String manualout) {
        this.manualout = manualout;
    }

    public String getPage() {
        return page;
    }

    public void setPage(String page) {
        this.page = page;
    }

    public String getInventornum() {
        return inventornum;
    }

    public void setInventornum(String inventornum) {
        this.inventornum = inventornum;
    }

    public String getNum2() {
        return num2;
    }

    public void setNum2(String num2) {
        this.num2 = num2;
    }

    public String getNum3() {
        return num3;
    }

    public void setNum3(String num3) {
        this.num3 = num3;
    }

    public List<PatentContentMO> getContent() {
        return content;
    }

    public void setContent(List<PatentContentMO> content) {
        this.content = content;
    }

    public List<PatentContentMO> getContentout() {
        return contentout;
    }

    public void setContentout(List<PatentContentMO> contentout) {
        this.contentout = contentout;
    }

    public List<ContentMO2> getSelfcontent() {
        return selfcontent;
    }

    public void setSelfcontent(List<ContentMO2> selfcontent) {
        this.selfcontent = selfcontent;
    }

    public String getPriorityno() {
        return priorityno;
    }

    public void setPriorityno(String priorityno) {
        this.priorityno = priorityno;
    }

    public String getPrioritycountry() {
        return prioritycountry;
    }

    public void setPrioritycountry(String prioritycountry) {
        this.prioritycountry = prioritycountry;
    }

    public String getPrioritydate() {
        return prioritydate;
    }

    public void setPrioritydate(String prioritydate) {
        this.prioritydate = prioritydate;
    }

    public String getSimplefamilynum() {
        return simplefamilynum;
    }

    public void setSimplefamilynum(String simplefamilynum) {
        this.simplefamilynum = simplefamilynum;
    }

    public String getInpadocfamilynum() {
        return inpadocfamilynum;
    }

    public void setInpadocfamilynum(String inpadocfamilynum) {
        this.inpadocfamilynum = inpadocfamilynum;
    }

    public String getQuoteno() {
        return quoteno;
    }

    public void setQuoteno(String quoteno) {
        this.quoteno = quoteno;
    }

    public String getQuotedno() {
        return quotedno;
    }

    public void setQuotedno(String quotedno) {
        this.quotedno = quotedno;
    }

    public String getQuotedno3() {
        return quotedno3;
    }

    public void setQuotedno3(String quotedno3) {
        this.quotedno3 = quotedno3;
    }

    public String getQuotedno5() {
        return quotedno5;
    }

    public void setQuotedno5(String quotedno5) {
        this.quotedno5 = quotedno5;
    }

    public String getAgency() {
        return agency;
    }

    public void setAgency(String agency) {
        this.agency = agency;
    }

    public String getAgent() {
        return agent;
    }

    public void setAgent(String agent) {
        this.agent = agent;
    }

    public String getWonational() {
        return wonational;
    }

    public void setWonational(String wonational) {
        this.wonational = wonational;
    }

    public String getExaminer() {
        return examiner;
    }

    public void setExaminer(String examiner) {
        this.examiner = examiner;
    }

    public String getAssexaminer() {
        return assexaminer;
    }

    public void setAssexaminer(String assexaminer) {
        this.assexaminer = assexaminer;
    }

    public String getQuote() {
        return quote;
    }

    public void setQuote(String quote) {
        this.quote = quote;
    }

    public String getQuoted() {
        return quoted;
    }

    public void setQuoted(String quoted) {
        this.quoted = quoted;
    }

    public String getNonpatentquote() {
        return nonpatentquote;
    }

    public void setNonpatentquote(String nonpatentquote) {
        this.nonpatentquote = nonpatentquote;
    }


    public String getFirstapplicant() {
        return firstapplicant;
    }

    public void setFirstapplicant(String firstapplicant) {
        this.firstapplicant = firstapplicant;
    }

    public String getFirstapplicantaddr() {
        return firstapplicantaddr;
    }

    public void setFirstapplicantaddr(String firstapplicantaddr) {
        this.firstapplicantaddr = firstapplicantaddr;
    }

    public String getFirstapplicantnum() {
        return firstapplicantnum;
    }

    public void setFirstapplicantnum(String firstapplicantnum) {
        this.firstapplicantnum = firstapplicantnum;
    }

    public String getFirstnventor() {
        return firstnventor;
    }

    public void setFirstnventor(String firstnventor) {
        this.firstnventor = firstnventor;
    }

    public String getFirstnventoraddr() {
        return firstnventoraddr;
    }

    public void setFirstnventoraddr(String firstnventoraddr) {
        this.firstnventoraddr = firstnventoraddr;
    }

    public String getEpcountry() {
        return epcountry;
    }

    public void setEpcountry(String epcountry) {
        this.epcountry = epcountry;
    }

    public String getAuthorizationpdf() {
        return authorizationpdf;
    }

    public void setAuthorizationpdf(String authorizationpdf) {
        this.authorizationpdf = authorizationpdf;
    }

    public String getPublicpdf() {
        return Publicpdf;
    }

    public void setPublicpdf(String publicpdf) {
        Publicpdf = publicpdf;
    }

    public PictureRenderData getAbstract_path() {
        return abstract_path;
    }

    public void setAbstract_path(PictureRenderData abstract_path) {
        this.abstract_path = abstract_path;
    }

    public static class ContentMO {
        private String title;
        List<String> item;
        List<String> out;

        public String getTitle() {
            return title;
        }

        public void setTitle(String title) {
            this.title = title;
        }

        public List<String> getItem() {
            return item;
        }

        public void setItem(List<String> item) {
            this.item = item;
        }

        public List<String> getOut() {
            return out;
        }

        public void setOut(List<String> out) {
            this.out = out;
        }
    }

    public static class ContentMO2 {
        private String title;
        private String item;
        private String out;

        public ContentMO2(String title, String item,String out) {
            this.title = title;
            this.item = item;
            this.out = out;
        }

        public String getTitle() {
            return title;
        }

        public void setTitle(String title) {
            this.title = title;
        }

        public String getItem() {
            return item;
        }

        public void setItem(String item) {
            this.item = item;
        }

        public String getOut() {
            return out;
        }

        public void setOut(String out) {
            this.out = out;
        }
    }
}
